%define gname mkvmerge-gui
%define gversion 0.7.0

%def_disable debug
%def_disable profiling

%def_enable gui
%def_enable bz2
%def_enable lzo
%def_with flac

Name: mkvtoolnix
Version: 2.0.2
Release: alt2
Summary: Tools to create, alter and inspect Matroska files
Summary(uk_UA.CP1251):   ,     Matroska
Summary(ru_RU.CP1251):   ,     Matroska
License: GPL
Group: Video
URL: http://www.bunkus.org/videotools/mkvtoolnix/
Source: %{url}sources/%name-%version.tar.bz2
Patch: %name-1.7.0-configure.patch
Provides: mkvmerge

# Automatically added by buildreq on Tue Nov 14 2006
#BuildRequires: bzlib-devel gcc-c++ libebml-devel libexpat-devel libflac-devel libgtk+2-common liblzo2-devel liblzo-devel libmagic-devel libmatroska-devel libpango-devel libpcrecpp-devel libvorbis-devel linux-libc-headers wxGTK2u-devel zlib-devel

BuildRequires: gcc-c++ libpcrecpp-devel zlib-devel libmagic-devel
BuildRequires: libexpat-devel libvorbis-devel
BuildRequires: libebml-devel >= 0.7.6
BuildRequires: libmatroska-devel >= 0.8.1

%{?_enable_gui:BuildRequires: libgtk+2-common libpango-devel wxGTK2u-devel}
%{?_enable_bz2:BuildRequires: bzlib-devel}
%{?_enable_lzo:BuildRequires: liblzo2-devel}
%{?_with_flac:BuildRequires: libflac-devel}

%description
Matroska is a new multimedia file format aiming to become the new
container format for the future.
With these tools one can extract tracks/data from (mkvextract) Matroska
files and create (mkvmerge) Matroska files from other media files.

%description -l uk_UA.CP1251
Matroska -    ,    
  .
      /
(mkvextract)   Matroska   (mkvmerge)  Matroska
  .

%description -l ru_RU.CP1251
Matroska -    ,   
   .
      / (mkvextract)
  Matroska   (mkvmerge)  Matroska  
.


%if_enabled gui
%package -n %gname
Summary: GUI for mkvmerge including a chapter editor
Summary(uk_UA.CP1251): GUI  mkvmerge   
Summary(ru_RU.CP1251): GUI  mkvmerge   
License: GPL
Group: Video
Provides: mmg = %version-%release

%description -n %gname
Matroska is a new multimedia file format aiming to become the new
container format for the future.
mkvmerge GUI is a wxWindows based GUI for mkvmerge. It offers easy
access to all of mkvmerge's options. All settings (e.g. source files,
track options etc) can be saved and restored. Included is a chapter
editor that can read OGM style and XML style chapter files, write XML
style chapter files and even read chapters from Matroska files and
write chapters directly to Matroska files.

%description -n %gname -l uk_UA.CP1251
Matroska -    ,    
  .
mkvmerge GUI -  wxWindows GUI  mkvmerge.   
    mkvmerge.   (,  ,
   ..)     . 
        XML  OGM,
     XML      
 Matroska       Matroska.

%description -n %gname -l ru_RU.CP1251
Matroska -    ,   
   .
mkvmerge GUI -  wxWindows GUI  mkvmerge.   
    mkvmerge.   (, 
,    ..)     .
         XML 
OGM,      XML      
 Matroska       Matroska.
%endif


%package -n mkvinfo
Summary: Tool for print information about tracks in Matroska files
Summary(uk_UA.CP1251):        Matroska
Summary(ru_RU.CP1251):        Matroska
License: GPL
Group: Video

%description -n mkvinfo
Matroska is a new multimedia file format aiming to become the new
container format for the future.
With mkvinfo you can get information about Matroska files. This program
lists all tracks contained in a Matroska file including information
about the codecs used.

%description -n mkvinfo -l uk_UA.CP1251
Matroska -    ,    
  .
  mkvinfo      Matroska. 
    ,     Matroska,
   .

%description -n mkvinfo -l ru_RU.CP1251
Matroska -    ,   
   .
  mkvinfo      Matroska. 
    ,    Matroska,
    .


%prep
%setup -q
%patch -p1


%build
%configure \
    %{subst_enable debug} \
    %{subst_enable profiling} \
    %{subst_enable gui} \
    %{subst_enable bz2} \
    %{subst_enable lzo} \
    %{subst_with flac}

%make_build


%install
%make_install DESTDIR=%buildroot install

%if_enabled gui
install -d %buildroot%_datadir/{pixmaps,doc/%gname-%gversion}
install -m 644 src/mmg/matroskalogo_big.xpm %buildroot%_pixmapsdir/%{gname}_64x64.xpm
install -m 644 src/mmg/matroskalogo.xpm %buildroot%_pixmapsdir/%{gname}_32x32.xpm
install -m 644 src/info/matroska.xpm %buildroot%_pixmapsdir/mkvinfo_32x32.xpm
ln -s %{gname}_32x32.xpm %buildroot%_pixmapsdir/%gname.xpm
ln -s mkvinfo_32x32.xpm %buildroot%_pixmapsdir/mkvinfo.xpm
mv %buildroot%_bindir/mmg %buildroot%_bindir/%gname
ln -s %gname %buildroot%_bindir/mmg
mv %buildroot%_man1dir/mmg.1 %buildroot%_man1dir/%gname.1
ln -s %gname.1 %buildroot%_man1dir/mmg.1
ln -s %_datadir/%name/%gname.html %buildroot%_datadir/doc/%gname-%gversion/
ln -s %_datadir/%name/images %buildroot%_datadir/doc/%gname-%gversion/

#menu
%ifdef _desktopdir
install -d %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%gname.desktop <<__MENU__
[Desktop Entry]
Encoding=UTF-8
Exec=mkvmerge-gui %%U
Name=mkvmerge GUI
Icon=%gname.xpm
Terminal=false
Type=Application
Comment=GUI for mkvmerge including a chapter editor
Comment[ua]=GUI  mkvmerge   
Comment[ru]=GUI  mkvmerge   
Categories=GTK;Application;AudioVideo;
__MENU__
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/mkvinfo.desktop <<__MENU__
[Desktop Entry]
Encoding=UTF-8
Exec=mkvinfo %%U
Name=mkvinfo
Icon=mkvinfo.xpm
Terminal=false
Type=Application
Comment=GUI for mkvmerge including a chapter editor
Comment[ua]=       Matroska
Comment[ru]=       Matroska
Categories=GTK;Application;AudioVideo;
__MENU__
%else
install -d %buildroot%_menudir
cat > %buildroot%_menudir/%gname <<__MENU__
?package(%name): command="%name" needs="X11" \
icon="%gname.xpm" section="Multimedia/%group" \
title="mkvmerge GUI" \
genericname="%gname" \
longtitle="GUI for mkvmerge including a chapter editor"
__MENU__
cat > %buildroot%_menudir/mkvinfo <<__MENU__
?package(%name): command="mkvinfo" needs="X11" \
icon="mkvinfo.xpm" section="Multimedia/%group" \
title="mkvinfo" \
genericname="mkvinfo" \
longtitle="GUI for mkvmerge including a chapter editor"
__MENU__
%endif
%endif

bzip2 --best --force --keep ChangeLog

%find_lang %name


%post -n mkvinfo
%update_menus


%postun -n mkvinfo
%clean_menus


%if_enabled gui
%post -n %gname
%update_menus


%postun -n %gname
%clean_menus
%endif


%files -f %name.lang
%doc AUTHORS ChangeLog.* README TODO examples
%_bindir/base64tool
%_bindir/mkvextract
%_bindir/mkvmerge
%_man1dir/base64tool.1*
%_man1dir/mkvextract.1*
%_man1dir/mkvmerge.1*


%files -n mkvinfo
%_bindir/mkvinfo
%_man1dir/mkvinfo.1*
%_pixmapsdir/mkvinfo*
%_datadir/applications/mkvinfo.desktop
%ifdef _desktopdir
%_desktopdir/mkvinfo.desktop
%else
%_menudir/mkvinfo
%endif


%if_enabled gui
%files -n %gname
%_docdir/*
%_bindir/%gname
%_bindir/mmg
%_man1dir/%gname.*
%_man1dir/mmg.*
%_datadir/%name
%_pixmapsdir/%{gname}*
%ifdef _desktopdir
%_desktopdir/%gname.desktop
%else
%_menudir/%gname
%endif
%endif


%changelog
* Tue Apr 17 2007 Led <led@altlinux.ru> 2.0.2-alt2
- fixed typing errors in summaries, descriptions, menu file.

* Tue Feb 27 2007 Led <led@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Tue Jan 16 2007 Led <led@altlinux.ru> 2.0.0-alt1
- 2.0.0

* Mon Jan 15 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.8.1-alt1.0
- Rebuilt with libpcrecpp.so.1.

* Mon Nov 27 2006 Led <led@altlinux.ru> 1.8.1-alt1
- 1.8.1
- Fixed Requires/Provides for %gname package

* Tue Nov 14 2006 Led <led@altlinux.ru> 1.8.0-alt1
- 1.8.0
- fixed BuildRequires

* Wed May 03 2006 Led <led@altlinux.ru> 1.7.0-alt1
- 1.7.0
- added %name-1.7.0-configure.patch
- fixed spec

* Tue Feb 14 2006 Led <led@altlinux.ru> 1.6.5-alt4
- removed redundant sources

* Thu Jan 26 2006 Led <led@altlinux.ru> 1.6.5-alt3
- added examples to docs
- uk and ru Summary and description
- fix menu files
- fix spec

* Tue Dec 27 2005 Led <led@altlinux.ru> 1.6.5-alt2
- mkvinfo moved into sepatate package

* Mon Dec 26 2005 Led <led@altlinux.ru> 1.6.5-alt1
- initial build
